Skip to main content
POST
/
chat
Chat with a chatbot
curl --request POST \
  --url https://www.chatbase.co/api/v1/chat \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "chatbotId": "ckl123abc456",
  "messages": [
    {
      "role": "user",
      "content": "Hello, I need help with my order"
    }
  ],
  "conversationId": "conv_abc123",
  "contactId": "user_123",
  "model": "gpt-4o-mini",
  "temperature": 0.7,
  "stream": false
}
'
import requests

url = "https://www.chatbase.co/api/v1/chat"

payload = {
    "chatbotId": "ckl123abc456",
    "messages": [
        {
            "role": "user",
            "content": "Hello, I need help with my order"
        }
    ],
    "conversationId": "conv_abc123",
    "contactId": "user_123",
    "model": "gpt-4o-mini",
    "temperature": 0.7,
    "stream": False
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    chatbotId: 'ckl123abc456',
    messages: [{role: 'user', content: 'Hello, I need help with my order'}],
    conversationId: 'conv_abc123',
    contactId: 'user_123',
    model: 'gpt-4o-mini',
    temperature: 0.7,
    stream: false
  })
};

fetch('https://www.chatbase.co/api/v1/chat', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "text": "Hello! How can I help you today?"
}
{
  "message": "Invalid request data"
}
{
  "message": "No API key provided."
}
{
  "message": "Access denied or quota exceeded"
}
{
  "message": "Internal server error"
}
Looking for API v2? The new Chatbase API v2 features structured error codes, cursor-based pagination, and SSE streaming. Note that API v2 is available starting from the Standard Plan. Check out the API v2 Reference →

Authorizations

Authorization
string
header
required

API key in Bearer token format

Body

application/json
chatbotId
string
required

ID of the chatbot to chat with

Example:

"ckl123abc456"

messages
object[]
required

Array of messages in the conversation

conversationId
string

ID of existing conversation to continue, if not provided, the conversation will not be saved

Example:

"conv_abc123"

contactId
string

External ID of the contact/user

Example:

"user_123"

model
enum<string>

AI model to use for the response

Available options:
gpt-4o,
gpt-4o-mini,
o4-mini,
gpt-oss-120b,
gpt-oss-20b,
gpt-5,
gpt-5.1,
gpt-5.2,
gpt-5.4,
gpt-5.4-mini,
gpt-5.4-nano,
gpt-5-mini,
gpt-5-nano,
claude-opus-4-6,
claude-sonnet-4-6,
claude-opus-4-5,
claude-haiku-4-5,
claude-sonnet-4-5,
gemini-2.5-flash,
gemini-2.5-pro,
gemini-3-flash,
gemini-3.1-flash-lite,
gemini-3.1-pro,
grok-3,
grok-3-mini,
grok-4,
DeepSeek-V3,
DeepSeek-R1,
Llama-4-Scout-17B-16E-Instruct,
Llama-4-Maverick-17B-128E-Instruct-FP8,
kimi-k2
Example:

"gpt-4o-mini"

temperature
number

Temperature setting for AI response creativity

Required range: 0 <= x <= 1
Example:

0.7

stream
boolean
default:false

Whether to stream the response

Response

Chat response

text
string

The chatbot's response text

Example:

"Hello! How can I help you today?"